Summary: RPM Auto-Installer or FTP Mirrorer
Name: autorpm
Version: 1.9.7
Release: 1
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Vendor: Kirk Bauer <kirk@kaybee.org>
Copyright: GPL
Group: Utilities/System
Distribution: Red Hat Contrib|Net
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: ftp://ftp.kaybee.org/pub/linux/autorpm-1.9.7.tar.gz
Requires: perl,rpm,dialog,mailx,perl-libnet
BuildRoot: /tmp/autorpm-build
BuildArch: noarch

%changelog

* Wed Nov 18 1998 Kirk Bauer <kirk@kaybee.org>

- Modified to comply with RHCN standards

* Sun Mar 08 1998 Kirk Bauer <kirk@kaybee.org>

- initial release

%description
AutoRPM is a program that can do any combination of the following: mirror RPMs
from  an  FTP  site,  keep installed RPMs consistent with an FTP site or local
directory, and keep installed RPMs in a cluster or network of systems  consis-
tent.   It  is  highly  flexible  and even contains  a very  nice, menu-driven
Interactive-Install mode.


%prep
%setup

%build

%install
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/pools
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/addons
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm/scores
install -m 0600 pools/redhat-updates pools/autorpm-updates ${RPM_BUILD_ROOT}/etc/autorpm.d/pools

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/sbin
install -m 0755 autorpm.pl ${RPM_BUILD_ROOT}/usr/sbin/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/etc
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d
install -m 0600 autorpm.conf ${RPM_BUILD_ROOT}/etc/autorpm.d/autorpm.conf.sample
install -m 0600 autorpm.d/redhat-updates autorpm.d/autorpm-updates ${RPM_BUILD_ROOT}/etc/autorpm.d

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man8
install -m 0644 autorpm.conf.5 ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0644 autorpm.8 ${RPM_BUILD_ROOT}/usr/man/man8

install -m 0755 -d ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 0755 autorpm.cron ${RPM_BUILD_ROOT}/etc/cron.daily

%clean
rm -rf $RPM_BUILD_ROOT

%post
# This will copy the sample config file to the real config file
# location only if there is no existing config file...
# It will also move the config file from the old location to the
# new location if necessary.
if [ ! -f /etc/autorpm.d/autorpm.conf ] ; then
   if [ -f /etc/autorpm.conf ] ; then
      echo "Moved /etc/autorpm.conf to /etc/autorpm.d/autorpm.conf"
      mv /etc/autorpm.conf /etc/autorpm.d/autorpm.conf
   else 
      cp /etc/autorpm.d/autorpm.conf.sample /etc/autorpm.d/autorpm.conf
   fi
fi

%files
%attr(-,root,root) %doc COPYING README samples.conf CHANGES CREDITS TODO
%attr(-,root,root) %dir /var/spool/autorpm
%attr(-,root,root) %dir /etc/autorpm.d 
%attr(-,root,root) %dir /etc/autorpm.d/pools
%attr(-,root,root) %dir /etc/autorpm.d/addons
%attr(-,root,root) %dir /var/spool/autorpm/scores
%config(missingok) %attr(-,root,root) /etc/autorpm.d/autorpm.conf.sample
%config(missingok) %attr(-,root,root) /etc/autorpm.d/redhat-updates
%config(missingok) %attr(-,root,root) /etc/autorpm.d/autorpm-updates
%config(missingok) %attr(-,root,root) /etc/autorpm.d/pools/redhat-updates
%config(missingok) %attr(-,root,root) /etc/autorpm.d/pools/autorpm-updates
%attr(-,root,root) /usr/sbin/autorpm
%attr(-,root,root) %doc /usr/man/man5/autorpm.conf.5
%attr(-,root,root) %doc /usr/man/man8/autorpm.8
%attr(-,root,root) /etc/cron.daily/autorpm.cron

